﻿Shader "Custom/Glass" {
    Properties {
        _Color ("Color", Color) = (1,1,1,1)
        _Emissive ("Emissive", Color) = (0,0,0,1)
        _Specular ("Specular", Color) = (1,1,1,1)
        _Shininess ("Shininess", Range (0.0, 1.0)) = 0.1
    }
    SubShader {
        Tags { "Queue" = "Transparent+1" }
        pass
        {
            Cull Off
            colormask 0
        }
        Pass
        {
            
            Cull Front
            colormask 0
            Stencil
            {
                Ref 1
                Pass Replace
            }
        }      
        Pass
  {
            Cull Off
            Lighting On
            SeparateSpecular On
            Material
            {
                Diffuse [_Color]
                Ambient [_Color]
                Emission [_Emissive]
                Specular [_Specular]
                Shininess [_Shininess]
            }        
        }
    }
}

